Bug 1277998 - batik executables quit with AccessControlException
batik executables quit with AccessControlException
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: batik (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 09:12 EST by Martin Gieseking
Modified: 2015-12-22 17:06 EST (History)
6 users (show)

See Also:
Fixed In Version: 1.8-3 batik-1.8-5.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 17:06:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Gieseking 2015-11-04 09:12:36 EST
When trying to run one of the batik utilities (rasterizer or squiggle) on F23, they quit with the following exception:

java.security.AccessControlException: access denied ("java.net.NetPermission" "setDefaultAuthenticator")
	at java.security.AccessControlContext.checkPermission(AccessControlContext.java:472)
	at java.security.AccessController.checkPermission(AccessController.java:884)
	at java.lang.SecurityManager.checkPermission(SecurityManager.java:549)
	at java.net.Authenticator.setDefault(Authenticator.java:127)
	at org.apache.batik.apps.svgbrowser.Main.<init>(Main.java:411)
	at org.apache.batik.apps.svgbrowser.Main.main(Main.java:165)

Since I can't find a local configuration problem, I guess it's an issue with the policy settings applied to the applications.
Comment 1 Mikolaj Izdebski 2015-11-05 04:00:08 EST
Not reproducible for me on F22. I will try again on F23 after I upgrade my system.
Comment 2 Martin Gieseking 2015-11-05 04:04:46 EST
OK, thanks for looking into this. I can confirm that the batik applications work on F22. It seems to be an issue with F23.
Comment 3 Mikolaj Izdebski 2015-11-06 06:57:39 EST
Reproducible on F23.
Comment 4 Mikolaj Izdebski 2015-11-27 05:38:36 EST
Fixed in batik-1.8-3
Comment 5 Mikolaj Izdebski 2015-11-27 08:36:17 EST
The fix for this bug is ready and I've tested it. During testing I've found some other problems (such as broken TIFF output, bug #1286220). I will try to fix all these bugs in one update, which may delay the update.
Comment 6 Martin Gieseking 2015-11-27 08:43:12 EST
OK, great. Thanks for taking care of all the flaws.
Comment 7 Fedora Update System 2015-12-04 06:29:28 EST
batik-1.8-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4ee96847a9
Comment 8 Fedora Update System 2015-12-04 11:50:59 EST
batik-1.8-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update batik'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4ee96847a9
Comment 9 Fedora Update System 2015-12-22 17:06:11 EST
batik-1.8-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.